/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let ToolPanelDescription = /*@__PURE__*/ (() => {
    class ToolPanelDescription extends Description {
        get_type() {
            return "ToolPanel";
        }
        get type() {
            return this.get_type();
        }
        constructor() {
            super();
            this.h = null;
            this.j = false;
            this.k = false;
            this.bk = 0;
            this.l = false;
            this.cf = null;
            this.ab = 0;
            this.cg = null;
            this.ch = null;
            this.c5 = null;
            this.ao = 0;
            this.c6 = null;
            this.c7 = null;
            this.co = null;
            this.ac = 0;
            this.cp = null;
            this.cq = null;
            this.ce = null;
            this.cl = null;
            this.bu = null;
            this.cd = null;
            this.br = null;
            this.c4 = null;
            this.b6 = null;
            this.cn = null;
            this.bw = null;
            this.c3 = null;
            this.b5 = null;
            this.cr = null;
            this.bx = null;
            this.cv = null;
            this.b1 = null;
            this.c9 = null;
            this.b8 = null;
            this.b7 = null;
            this.c8 = null;
            this.cm = null;
            this.bv = null;
            this.ct = null;
            this.bz = null;
            this.cs = null;
            this.by = null;
            this.db = null;
            this.ca = null;
            this.da = null;
            this.b9 = null;
            this.ap = 0;
            this.z = 0;
            this.aq = 0;
            this.aa = 0;
            this.cw = null;
            this.b2 = null;
            this.cx = null;
            this.b3 = null;
            this.al = 0;
            this.w = 0;
            this.am = 0;
            this.x = 0;
            this.an = 0;
            this.y = 0;
            this.ak = 0;
            this.v = 0;
            this.ah = 0;
            this.s = 0;
            this.ai = 0;
            this.t = 0;
            this.aj = 0;
            this.u = 0;
            this.ag = 0;
            this.r = 0;
            this.c1 = null;
            this.bm = 0;
            this.ae = 0;
            this.q = 0;
            this.ad = 0;
            this.p = 0;
            this.cu = null;
            this.b0 = null;
            this.cy = null;
            this.b4 = null;
            this.dc = null;
            this.cb = null;
            this.ci = null;
            this.bs = null;
            this.dd = null;
            this.cc = null;
            this.cj = null;
            this.bt = null;
            this.bl = 0;
            this.bj = 0;
            this.c2 = null;
            this.af = 0;
            this.cz = null;
            this.ck = null;
            this.c0 = null;
        }
        get actions() {
            return this.h;
        }
        set actions(a) {
            this.h = a;
            this.g("Actions");
        }
        get showOnHover() {
            return this.j;
        }
        set showOnHover(a) {
            this.j = a;
            this.g("ShowOnHover");
        }
        get showTooltipOnHover() {
            return this.k;
        }
        set showTooltipOnHover(a) {
            this.k = a;
            this.g("ShowTooltipOnHover");
        }
        get dropdownClickBuffer() {
            return this.bk;
        }
        set dropdownClickBuffer(a) {
            this.bk = a;
            this.g("DropdownClickBuffer");
        }
        get stopPropagation() {
            return this.l;
        }
        set stopPropagation(a) {
            this.l = a;
            this.g("StopPropagation");
        }
        get cellFontFamily() {
            return this.cf;
        }
        set cellFontFamily(a) {
            this.cf = a;
            this.g("CellFontFamily");
        }
        get cellFontSize() {
            return this.ab;
        }
        set cellFontSize(a) {
            this.ab = a;
            this.g("CellFontSize");
        }
        get cellFontStyle() {
            return this.cg;
        }
        set cellFontStyle(a) {
            this.cg = a;
            this.g("CellFontStyle");
        }
        get cellFontWeight() {
            return this.ch;
        }
        set cellFontWeight(a) {
            this.ch = a;
            this.g("CellFontWeight");
        }
        get subtitleFontFamily() {
            return this.c5;
        }
        set subtitleFontFamily(a) {
            this.c5 = a;
            this.g("SubtitleFontFamily");
        }
        get subtitleFontSize() {
            return this.ao;
        }
        set subtitleFontSize(a) {
            this.ao = a;
            this.g("SubtitleFontSize");
        }
        get subtitleFontStyle() {
            return this.c6;
        }
        set subtitleFontStyle(a) {
            this.c6 = a;
            this.g("SubtitleFontStyle");
        }
        get subtitleFontWeight() {
            return this.c7;
        }
        set subtitleFontWeight(a) {
            this.c7 = a;
            this.g("SubtitleFontWeight");
        }
        get groupHeaderFontFamily() {
            return this.co;
        }
        set groupHeaderFontFamily(a) {
            this.co = a;
            this.g("GroupHeaderFontFamily");
        }
        get groupHeaderFontSize() {
            return this.ac;
        }
        set groupHeaderFontSize(a) {
            this.ac = a;
            this.g("GroupHeaderFontSize");
        }
        get groupHeaderFontStyle() {
            return this.cp;
        }
        set groupHeaderFontStyle(a) {
            this.cp = a;
            this.g("GroupHeaderFontStyle");
        }
        get groupHeaderFontWeight() {
            return this.cq;
        }
        set groupHeaderFontWeight(a) {
            this.cq = a;
            this.g("GroupHeaderFontWeight");
        }
        get baseTheme() {
            return this.ce;
        }
        set baseTheme(a) {
            this.ce = a;
            this.g("BaseTheme");
        }
        get density() {
            return this.cl;
        }
        set density(a) {
            this.cl = a;
            this.g("Density");
        }
        get actualDensity() {
            return this.bu;
        }
        set actualDensity(a) {
            this.bu = a;
            this.g("ActualDensity");
        }
        get backgroundColor() {
            return this.cd;
        }
        set backgroundColor(a) {
            this.cd = a;
            this.g("BackgroundColor");
        }
        get actualBackgroundColor() {
            return this.br;
        }
        set actualBackgroundColor(a) {
            this.br = a;
            this.g("ActualBackgroundColor");
        }
        get submenuBackgroundColor() {
            return this.c4;
        }
        set submenuBackgroundColor(a) {
            this.c4 = a;
            this.g("SubmenuBackgroundColor");
        }
        get actualSubmenuBackgroundColor() {
            return this.b6;
        }
        set actualSubmenuBackgroundColor(a) {
            this.b6 = a;
            this.g("ActualSubmenuBackgroundColor");
        }
        get groupHeaderBackgroundColor() {
            return this.cn;
        }
        set groupHeaderBackgroundColor(a) {
            this.cn = a;
            this.g("GroupHeaderBackgroundColor");
        }
        get actualGroupHeaderBackgroundColor() {
            return this.bw;
        }
        set actualGroupHeaderBackgroundColor(a) {
            this.bw = a;
            this.g("ActualGroupHeaderBackgroundColor");
        }
        get separatorBackgroundColor() {
            return this.c3;
        }
        set separatorBackgroundColor(a) {
            this.c3 = a;
            this.g("SeparatorBackgroundColor");
        }
        get actualSeparatorBackgroundColor() {
            return this.b5;
        }
        set actualSeparatorBackgroundColor(a) {
            this.b5 = a;
            this.g("ActualSeparatorBackgroundColor");
        }
        get groupHeaderSeparatorBackgroundColor() {
            return this.cr;
        }
        set groupHeaderSeparatorBackgroundColor(a) {
            this.cr = a;
            this.g("GroupHeaderSeparatorBackgroundColor");
        }
        get actualGroupHeaderSeparatorBackgroundColor() {
            return this.bx;
        }
        set actualGroupHeaderSeparatorBackgroundColor(a) {
            this.bx = a;
            this.g("ActualGroupHeaderSeparatorBackgroundColor");
        }
        get hoverBackgroundColor() {
            return this.cv;
        }
        set hoverBackgroundColor(a) {
            this.cv = a;
            this.g("HoverBackgroundColor");
        }
        get actualHoverBackgroundColor() {
            return this.b1;
        }
        set actualHoverBackgroundColor(a) {
            this.b1 = a;
            this.g("ActualHoverBackgroundColor");
        }
        get textColor() {
            return this.c9;
        }
        set textColor(a) {
            this.c9 = a;
            this.g("TextColor");
        }
        get actualTextColor() {
            return this.b8;
        }
        set actualTextColor(a) {
            this.b8 = a;
            this.g("ActualTextColor");
        }
        get actualSubtitleTextColor() {
            return this.b7;
        }
        set actualSubtitleTextColor(a) {
            this.b7 = a;
            this.g("ActualSubtitleTextColor");
        }
        get subtitleTextColor() {
            return this.c8;
        }
        set subtitleTextColor(a) {
            this.c8 = a;
            this.g("SubtitleTextColor");
        }
        get disabledTextColor() {
            return this.cm;
        }
        set disabledTextColor(a) {
            this.cm = a;
            this.g("DisabledTextColor");
        }
        get actualDisabledTextColor() {
            return this.bv;
        }
        set actualDisabledTextColor(a) {
            this.bv = a;
            this.g("ActualDisabledTextColor");
        }
        get groupHeaderTextColor() {
            return this.ct;
        }
        set groupHeaderTextColor(a) {
            this.ct = a;
            this.g("GroupHeaderTextColor");
        }
        get actualGroupHeaderTextColor() {
            return this.bz;
        }
        set actualGroupHeaderTextColor(a) {
            this.bz = a;
            this.g("ActualGroupHeaderTextColor");
        }
        get groupHeaderSubtitleTextColor() {
            return this.cs;
        }
        set groupHeaderSubtitleTextColor(a) {
            this.cs = a;
            this.g("GroupHeaderSubtitleTextColor");
        }
        get actualGroupHeaderSubtitleTextColor() {
            return this.by;
        }
        set actualGroupHeaderSubtitleTextColor(a) {
            this.by = a;
            this.g("ActualGroupHeaderSubtitleTextColor");
        }
        get toolTipTextColor() {
            return this.db;
        }
        set toolTipTextColor(a) {
            this.db = a;
            this.g("ToolTipTextColor");
        }
        get actualToolTipTextColor() {
            return this.ca;
        }
        set actualToolTipTextColor(a) {
            this.ca = a;
            this.g("ActualToolTipTextColor");
        }
        get toolTipBackgroundColor() {
            return this.da;
        }
        set toolTipBackgroundColor(a) {
            this.da = a;
            this.g("ToolTipBackgroundColor");
        }
        get actualToolTipBackgroundColor() {
            return this.b9;
        }
        set actualToolTipBackgroundColor(a) {
            this.b9 = a;
            this.g("ActualToolTipBackgroundColor");
        }
        get toolTipCornerRadius() {
            return this.ap;
        }
        set toolTipCornerRadius(a) {
            this.ap = a;
            this.g("ToolTipCornerRadius");
        }
        get actualToolTipCornerRadius() {
            return this.z;
        }
        set actualToolTipCornerRadius(a) {
            this.z = a;
            this.g("ActualToolTipCornerRadius");
        }
        get toolTipElevation() {
            return this.aq;
        }
        set toolTipElevation(a) {
            this.aq = a;
            this.g("ToolTipElevation");
        }
        get actualToolTipElevation() {
            return this.aa;
        }
        set actualToolTipElevation(a) {
            this.aa = a;
            this.g("ActualToolTipElevation");
        }
        get iconFill() {
            return this.cw;
        }
        set iconFill(a) {
            this.cw = a;
            this.g("IconFill");
        }
        get actualIconFill() {
            return this.b2;
        }
        set actualIconFill(a) {
            this.b2 = a;
            this.g("ActualIconFill");
        }
        get iconStroke() {
            return this.cx;
        }
        set iconStroke(a) {
            this.cx = a;
            this.g("IconStroke");
        }
        get actualIconStroke() {
            return this.b3;
        }
        set actualIconStroke(a) {
            this.b3 = a;
            this.g("ActualIconStroke");
        }
        get separatorVerticalPaddingLeft() {
            return this.al;
        }
        set separatorVerticalPaddingLeft(a) {
            this.al = a;
            this.g("SeparatorVerticalPaddingLeft");
        }
        get actualSeparatorVerticalPaddingLeft() {
            return this.w;
        }
        set actualSeparatorVerticalPaddingLeft(a) {
            this.w = a;
            this.g("ActualSeparatorVerticalPaddingLeft");
        }
        get separatorVerticalPaddingRight() {
            return this.am;
        }
        set separatorVerticalPaddingRight(a) {
            this.am = a;
            this.g("SeparatorVerticalPaddingRight");
        }
        get actualSeparatorVerticalPaddingRight() {
            return this.x;
        }
        set actualSeparatorVerticalPaddingRight(a) {
            this.x = a;
            this.g("ActualSeparatorVerticalPaddingRight");
        }
        get separatorVerticalPaddingTop() {
            return this.an;
        }
        set separatorVerticalPaddingTop(a) {
            this.an = a;
            this.g("SeparatorVerticalPaddingTop");
        }
        get actualSeparatorVerticalPaddingTop() {
            return this.y;
        }
        set actualSeparatorVerticalPaddingTop(a) {
            this.y = a;
            this.g("ActualSeparatorVerticalPaddingTop");
        }
        get separatorVerticalPaddingBottom() {
            return this.ak;
        }
        set separatorVerticalPaddingBottom(a) {
            this.ak = a;
            this.g("SeparatorVerticalPaddingBottom");
        }
        get actualSeparatorVerticalPaddingBottom() {
            return this.v;
        }
        set actualSeparatorVerticalPaddingBottom(a) {
            this.v = a;
            this.g("ActualSeparatorVerticalPaddingBottom");
        }
        get separatorHorizontalPaddingLeft() {
            return this.ah;
        }
        set separatorHorizontalPaddingLeft(a) {
            this.ah = a;
            this.g("SeparatorHorizontalPaddingLeft");
        }
        get actualSeparatorHorizontalPaddingLeft() {
            return this.s;
        }
        set actualSeparatorHorizontalPaddingLeft(a) {
            this.s = a;
            this.g("ActualSeparatorHorizontalPaddingLeft");
        }
        get separatorHorizontalPaddingRight() {
            return this.ai;
        }
        set separatorHorizontalPaddingRight(a) {
            this.ai = a;
            this.g("SeparatorHorizontalPaddingRight");
        }
        get actualSeparatorHorizontalPaddingRight() {
            return this.t;
        }
        set actualSeparatorHorizontalPaddingRight(a) {
            this.t = a;
            this.g("ActualSeparatorHorizontalPaddingRight");
        }
        get separatorHorizontalPaddingTop() {
            return this.aj;
        }
        set separatorHorizontalPaddingTop(a) {
            this.aj = a;
            this.g("SeparatorHorizontalPaddingTop");
        }
        get actualSeparatorHorizontalPaddingTop() {
            return this.u;
        }
        set actualSeparatorHorizontalPaddingTop(a) {
            this.u = a;
            this.g("ActualSeparatorHorizontalPaddingTop");
        }
        get separatorHorizontalPaddingBottom() {
            return this.ag;
        }
        set separatorHorizontalPaddingBottom(a) {
            this.ag = a;
            this.g("SeparatorHorizontalPaddingBottom");
        }
        get actualSeparatorHorizontalPaddingBottom() {
            return this.r;
        }
        set actualSeparatorHorizontalPaddingBottom(a) {
            this.r = a;
            this.g("ActualSeparatorHorizontalPaddingBottom");
        }
        get orientation() {
            return this.c1;
        }
        set orientation(a) {
            this.c1 = a;
            this.g("Orientation");
        }
        get rowHeight() {
            return this.bm;
        }
        set rowHeight(a) {
            this.bm = a;
            this.g("RowHeight");
        }
        get highlightWidth() {
            return this.ae;
        }
        set highlightWidth(a) {
            this.ae = a;
            this.g("HighlightWidth");
        }
        get actualHighlightWidth() {
            return this.q;
        }
        set actualHighlightWidth(a) {
            this.q = a;
            this.g("ActualHighlightWidth");
        }
        get highlightRadius() {
            return this.ad;
        }
        set highlightRadius(a) {
            this.ad = a;
            this.g("HighlightRadius");
        }
        get actualHighlightRadius() {
            return this.p;
        }
        set actualHighlightRadius(a) {
            this.p = a;
            this.g("ActualHighlightRadius");
        }
        get highlightColor() {
            return this.cu;
        }
        set highlightColor(a) {
            this.cu = a;
            this.g("HighlightColor");
        }
        get actualHighlightColor() {
            return this.b0;
        }
        set actualHighlightColor(a) {
            this.b0 = a;
            this.g("ActualHighlightColor");
        }
        get menuArrowStroke() {
            return this.cy;
        }
        set menuArrowStroke(a) {
            this.cy = a;
            this.g("MenuArrowStroke");
        }
        get actualMenuArrowStroke() {
            return this.b4;
        }
        set actualMenuArrowStroke(a) {
            this.b4 = a;
            this.g("ActualMenuArrowStroke");
        }
        get uncheckedBackgroundColor() {
            return this.dc;
        }
        set uncheckedBackgroundColor(a) {
            this.dc = a;
            this.g("UncheckedBackgroundColor");
        }
        get actualUncheckedBackgroundColor() {
            return this.cb;
        }
        set actualUncheckedBackgroundColor(a) {
            this.cb = a;
            this.g("ActualUncheckedBackgroundColor");
        }
        get checkedBackgroundColor() {
            return this.ci;
        }
        set checkedBackgroundColor(a) {
            this.ci = a;
            this.g("CheckedBackgroundColor");
        }
        get actualCheckedBackgroundColor() {
            return this.bs;
        }
        set actualCheckedBackgroundColor(a) {
            this.bs = a;
            this.g("ActualCheckedBackgroundColor");
        }
        get uncheckedBorderColor() {
            return this.dd;
        }
        set uncheckedBorderColor(a) {
            this.dd = a;
            this.g("UncheckedBorderColor");
        }
        get actualUncheckedBorderColor() {
            return this.cc;
        }
        set actualUncheckedBorderColor(a) {
            this.cc = a;
            this.g("ActualUncheckedBorderColor");
        }
        get checkedBorderColor() {
            return this.cj;
        }
        set checkedBorderColor(a) {
            this.cj = a;
            this.g("CheckedBorderColor");
        }
        get actualCheckedBorderColor() {
            return this.bt;
        }
        set actualCheckedBorderColor(a) {
            this.bt = a;
            this.g("ActualCheckedBorderColor");
        }
        get dropdownDelay() {
            return this.bl;
        }
        set dropdownDelay(a) {
            this.bl = a;
            this.g("DropdownDelay");
        }
        get actualDropdownDelay() {
            return this.bj;
        }
        set actualDropdownDelay(a) {
            this.bj = a;
            this.g("ActualDropdownDelay");
        }
        get scrollbarStyle() {
            return this.c2;
        }
        set scrollbarStyle(a) {
            this.c2 = a;
            this.g("ScrollbarStyle");
        }
        get itemSpacing() {
            return this.af;
        }
        set itemSpacing(a) {
            this.af = a;
            this.g("ItemSpacing");
        }
        get nestedActionMode() {
            return this.cz;
        }
        set nestedActionMode(a) {
            this.cz = a;
            this.g("NestedActionMode");
        }
        get contentRefreshedRef() {
            return this.ck;
        }
        set contentRefreshedRef(a) {
            this.ck = a;
            this.g("ContentRefreshedRef");
        }
        get onCommandRef() {
            return this.c0;
        }
        set onCommandRef(a) {
            this.c0 = a;
            this.g("OnCommandRef");
        }
    }
    ToolPanelDescription.$t = /*@__PURE__*/ markType(ToolPanelDescription, 'ToolPanelDescription', Description.$);
    return ToolPanelDescription;
})();
